@ECHO OFF
ECHO Start to Writing the EEPROM...

CHECKW
if errorlevel 1 goto WC_RANGE
if errorlevel 0 goto GOON_1

:GOON_1
W_CFG
if errorlevel 2 goto WC_CFG
if errorlevel 1 goto WC_R2
if errorlevel 0 goto GOON_2

:GOON_2
vpd -e eeprom.rom -y 11AB -z 4320
if errorlevel 0 goto WEE_OK
goto EC_ERR1

:WEE_OK
vpd -p vpd9821.vpd -a 256 -y 11AB -z 4320
if errorlevel 0 goto WVPD_OK
goto EC_ERR1

:WVPD_OK
CLS
CHK_OK2
if errorlevel 4 goto WC_REEP
if errorlevel 3 goto WC_CARD
if errorlevel 2 goto EC_ERR1
if errorlevel 1 goto WC_CFG
if errorlevel 0 goto GOON_3

:WC_REEP
@ECHO READ EEPROM Fail!
goto END

:WC_CARD
@ECHO Card Not Found!
goto END

:EC_ERR1
ECHO VPD.EXE fails to write the EEPROM!
goto END

:GOON_3
INC_RNGE
if errorlevel 1 goto WC_INC
if errorlevel 0 goto INC_OK

:INC_OK
@ECHO Writing EEPROM successful.
PAUSE
goto GOTOMENU

:WC_RANGE
ECHO Bad MAC ID range in RANGE.TXT!
PAUSE
goto GOTOMENU

:WC_R2
ECHO Fail to handle RANGE.TXT!
goto END

:WC_CFG
ECHO Fail to handle EEPROM.ROM!
goto END

:WC_INC
ECHO Fail to update RANGE.TXT!
goto END

:GOTOMENU
CALL RUN.BAT
goto END

:END
@ECHO ON
